import "Turbine"
import "Turbine.UI"
import "Turbine.Gameplay"
import "Turbine.UI.Lotro"

import "Freeplay.pbar.percentBar"

---------------------------------------
--             percent bar for lotro
--
--            by FreePlay 10/13/2011              
--
--              Version 0.2beta
---------------------------------------

debugWindow = class( Turbine.UI.Window );

function debugWindow:Constructor()
	Turbine.UI.Window.Constructor( self )
	self:SetSize(200,15)
	self:SetPosition(200,200);

    self.pb = percentBar(); -- make an instance of the bar
    self.pb:SetParent(self) -- set the parent of the percent bar to self ( this window)
    self.pb:SetMinMax(0, 100) -- this sets the minimum value and maximum value you are getting percents of
    self.pb:setMode(1) -- mode 1 is horizontal , mode 2 is vertical
----------------------w---h-----
    self.pb:setSizeOf(200,15) -- set main width of bar/height

    self.pb:SetMaxWidth(200) -- the greatest width in pixels your bar will be
    self.pb:SetMaxHeight (15) -- the max height your bar will be


---------------------------------------r-g-b-a----------
    self:SetBackColor(Turbine.UI.Color(0,0,0,.5)) -- set percentbar controls bg color
    self.pb:setBarBgColor(Turbine.UI.Color(1,.5,.5, .7)) -- sets the visible color behind the bar when the bar shrinks
    self.pb.frontLbl:SetBackColor(Turbine.UI.Color(1,0,0,.577)) -- sets the shrinking bar color (front most color)
    -- set image instead of color
    -- self.pb:setBarImg("/path/to/image.tga") -- this can be a repeating image or full image
    -- you may want to set the pb.txtLbl to non visible when doing bars in height
    self:SetVisible(true)
    self:SetEnabled(true)
    self.pb:SetVisible(true)
end
dWin = debugWindow();

dWin.pb:Upd(.05) -- initialize the bar 1 would be fully filled 0 would be none shown.
dWin.pb:setTxt("50%"); -- set top most labels text (usually the percent of the bar)